Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.xml
Class XmlDocumentImpl

    java.lang.Object
      org.hibernate.internal.util.xml.XmlDocumentImpl

All Implemented Interfaces:
  Serializable, XmlDocument

    public class XmlDocumentImpl

extends Object
implements XmlDocument, Serializable

Basic implemementation of `XmlDocument`

See Also:
  Serialized Form

Constructor Summary
`XmlDocumentImpl(org.dom4j.Document documentTree, Origin origin)`
`XmlDocumentImpl(org.dom4j.Document documentTree, String originType, String originName)`

Method Summary
`org.dom4j.Document` | `getDocumentTree()` Retrieve the parsed DOM tree.
`Origin` | `getOrigin()` Retrieve the document's origin.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlDocumentImpl

    public XmlDocumentImpl(org.dom4j.Document documentTree,
                           String originType,
                           String originName)

### XmlDocumentImpl

    public XmlDocumentImpl(org.dom4j.Document documentTree,
                           Origin origin)

Method Detail

### getDocumentTree

    public org.dom4j.Document getDocumentTree()

  Retrieve the parsed DOM tree.

  Specified by:
    `getDocumentTree` in interface `XmlDocument`
  Returns:
    the DOM tree

### getOrigin

    public Origin getOrigin()

  Retrieve the document's origin.

  Specified by:
    `getOrigin` in interface `XmlDocument`
  Returns:
    The origin

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.